<template lang="pug">
  div(class="error")
    div(class="error__wrapper")
      h1(v-if="error.statusCode === 404" class="error__wrapper__text")
        span {{ $t('error.notFound') }}
        IconSmileySad/
      h1(v-else class="error__wrapper__text")
        span {{ $t('error.other') }}
        IconSmileyXEyes/
      h1(class="error__wrapper__status-code") {{ error.statusCode }}

      ul
        li(class="inline-block align-middle")
          nuxt-link(:to="localePath('/')")
            IconHouse(class="w-4 h-4 mr-2 fill-current inline")/
            span(class="align-middle drop-shadow-md") {{ $t('layout.toMainPage') }}
        li(class="inline-block pl-2 pr-2 text-gray-700 bg-gray-200 mr-4 ml-4 rounded")
          a {{ $t('layout.or') }}
        li(class="inline-block")
          a(@click="$router.go(-1)" class="cursor-pointer")
            span(class="align-middle drop-shadow-md") {{ $t('layout.back') }}
            IconArrowFatLeft(class="w-4 h-4 ml-2 fill-current inline")/

</template>

<script>
import IconHouse from '~/assets/svg/ph-house-fill.svg?inline';
import IconArrowFatLeft from '~/assets/svg/ph-arrow-fat-left-fill.svg?inline';
import IconSmileySad from '~/assets/svg/ph-smiley-sad-fill.svg?inline';
import IconSmileyXEyes from '~/assets/svg/ph-smiley-x-eyes-fill.svg?inline';

export default {
  props:      ['error'],
  layout:     'error',
  components: {
    IconHouse,
    IconArrowFatLeft,
    IconSmileySad,
    IconSmileyXEyes,
  },
}
</script>

<style lang="scss">
.error {
  @apply
  backdrop-filter
  backdrop-blur-sm
  fixed
  top-0
  left-0
  right-0
  bottom-0
  w-full
  h-full
  z-50
  overflow-hidden
  flex
  flex-col
  ;

  &__wrapper {
    @apply
    select-none
    text-gray-300
    dark:text-gray-300
    fixed
    top-0
    left-0
    right-0
    bottom-0
    w-full
    h-full
    z-50
    bg-gray-700
    opacity-50
    overflow-hidden
    flex
    flex-col
    items-center
    justify-center
    ;

    h1 {
      @apply
      text-center
      drop-shadow
      ;

      svg {
        @apply
        w-10
        h-10
        ml-1
        fill-current
        inline
        ;
      }
    }

    &__text {
      @apply text-xl;
    }

    &__status-code {
      @apply
      text-6xl
      text-red-400
      mt-6
      mb-6
      shadow
      ;
    }
  }
}
</style>